# -*- coding: UTF-8 -*-

#  Yamp LogFile  2016-02-27
#
#  Coded by AlfredENeumann (c) 2016
#  Support: www.dreambox-tools.info
#
#  All Files of this Software are licensed under the Creative Commons
#  Attribution-NonCommercial-ShareAlike 3.0 Unported
#  License if not stated otherwise in a Files Head. To view a copy of this license, visit
#  http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter to Creative
#  Commons, 559 Nathan Abbott Way, Stanford, California 94305, USA.

#  Additionally, this plugin may only be distributed and executed on hardware which
#  is licensed by Dream Multimedia GmbH.

#  This plugin is NOT free software. It is open source, you are allowed to
#  modify it (if you keep the license), but it may not be commercially
#  distributed other than under the conditions noted above.
#  This applies to the source code as a whole as well as to parts of it, unless
#  explicitely stated otherwise.

from Components.config import config
from datetime import datetime as datetime_datetime

def LOG(s, type):
#	print 'Yamp Log Start: Mode: %s' %(config.plugins.yampmusicplayer.yampDebugMode.value)
	if type == "all":	
		if config.plugins.yampmusicplayer.yampDebugMode.value == "all": 
#		print 'Yamp Log : In type all'
			writeLog(s)
	elif type == "err":	
		if config.plugins.yampmusicplayer.yampDebugMode.value != "off": 
			writeLog(s)
	elif type == "spe":	
		if config.plugins.yampmusicplayer.yampDebugMode.value == "special": 
			writeLog(s)
		
def writeLog(text):		
#	print 'Yamp Log : writeLog start'
	try:
		t = timestamp()
		with open(config.plugins.yampmusicplayer.debugFile.value ,'a') as f:
			f.write(t +' ' + text +'\n')
		f.close()
		del t,f,text
	except:
		pass

def timestamp():
	return datetime_datetime.now().strftime("%Y.%m.%d-%H:%M:%S.%f")

